"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConfigurationTarget = createConfigurationTarget;
const cli_js_1 = require("../../executors/internal/cli.js");
const constants_js_1 = require("../../internal/constants.js");
const constants_js_2 = require("../constants.js");
function createConfigurationTarget(options) {
    const { projectName, bin = constants_js_1.PACKAGE_NAME, targetName = constants_js_2.CP_TARGET_NAME, } = options ?? {};
    return {
        command: `nx g ${bin}:configuration ${(0, cli_js_1.objectToCliArgs)({
            skipTarget: true,
            targetName,
            ...(projectName ? { project: projectName } : {}),
        }).join(' ')}`,
    };
}
//# sourceMappingURL=configuration-target.js.map